Bug 578030

Summary: lang-specific overrides rule doesn't work as expected
Product: [Fedora] Fedora Reporter: Akira TAGOH <tagoh>
Component: lohit-bengali-fontsAssignee: Pravin Satpute <psatpute>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: rawhideCC: fonts-bugs, i18n-bugs, psatpute
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: lohit-bengali-fonts-2.4.3-5.fc13 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 586854 (view as bug list) Environment:
Last Closed: 2010-04-25 10:01:28 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 578015    
Bug Blocks: 507684, 586854    

Description Akira TAGOH 2010-03-29 23:42:10 EDT
Description of problem:
All of detailed information is available on my post at the fonts list:
http://lists.fedoraproject.org/pipermail/fonts/2010-March/001117.html

binding="same" in the fontconfig config file prevents to apply the rule for the
specific
language only properly. As a result, fonts is used for non-targetted languages
and it may gives different look and feel in some cases.

I'd propose to get rid of binding="same" from:
 66-lohit-bengali.conf
Comment 1 Fedora Update System 2010-04-16 01:31:50 EDT
lohit-bengali-fonts-2.4.3-5.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/lohit-bengali-fonts-2.4.3-5.fc13
Comment 2 Pravin Satpute 2010-04-16 01:56:14 EDT
lohit-bengali-fonts-2.4.3-5.fc14
Comment 3 Fedora Update System 2010-04-16 19:39:00 EDT
lohit-bengali-fonts-2.4.3-5.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update lohit-bengali-fonts'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/lohit-bengali-fonts-2.4.3-5.fc13
Comment 4 Akira TAGOH 2010-04-21 21:59:36 EDT
# rpm -q lohit-bengali-fonts
lohit-bengali-fonts-2.4.3-5.fc13.noarch
# fc-match monospace:lang=en
DejaVuSansMono.ttf: "DejaVu Sans Mono" "Book"
# fc-match monospace:lang=en-us
DejaVuSansMono.ttf: "DejaVu Sans Mono" "Book"
# fc-match monospace:lang=bn
Lohit-Bengali.ttf: "Lohit Bengali" "Regular"
# fc-match monospace:lang=bn-bd
Lohit-Bengali.ttf: "Lohit Bengali" "Regular"
# fc-match monospace:lang=bn-in
Lohit-Bengali.ttf: "Lohit Bengali" "Regular"
# fc-match serif:lang=en
DejaVuSerif.ttf: "DejaVu Serif" "Book"
# fc-match serif:lang=en-us
DejaVuSerif.ttf: "DejaVu Serif" "Book"
# fc-match serif:lang=bn
Lohit-Bengali.ttf: "Lohit Bengali" "Regular"
# fc-match serif:lang=bn-bd
Lohit-Bengali.ttf: "Lohit Bengali" "Regular"
# fc-match serif:lang=bn-in
Lohit-Bengali.ttf: "Lohit Bengali" "Regular"

Though no explicit rules are defined in 66-lohit-bengali.conf. it may be changed in the future when any packages started to provide monospace or serif for Bengali.

# fc-match sans:lang=en
DejaVuSans.ttf: "DejaVu Sans" "Book"
# fc-match sans:lang=en-us
DejaVuSans.ttf: "DejaVu Sans" "Book"
# fc-match sans:lang=bn
Lohit-Bengali.ttf: "Lohit Bengali" "Regular"
# fc-match sans:lang=bn-bd
Lohit-Bengali.ttf: "Lohit Bengali" "Regular"
# fc-match sans:lang=bn-in
Lohit-Bengali.ttf: "Lohit Bengali" "Regular"

That looks good.

# for i in $(ls /usr/share/locale|grep -v -E '^bn$|^bn_.*$'); do fc-match sans:lang=$i|grep "Lohit Bengali"; [ $? = 0 ] && echo $i; done
Lohit-Bengali.ttf: "Lohit Bengali" "Regular"
as

same issue I pointed out this in Bug#578029.

Anyway, all the above issues are different to this. so I'd waive it so far.
Comment 5 Fedora Update System 2010-04-25 10:01:24 EDT
lohit-bengali-fonts-2.4.3-5.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.